From 9068eac31c9df75b1f5302debed1a44f8c4c6c1e Mon Sep 17 00:00:00 2001
From: Peter Eisentraut <peter@eisentraut.org>
Date: Tue, 20 Feb 2024 10:18:19 +0100
Subject: [PATCH v1 2/2] Write perlcritic InputOutput::RequireCheckedSyscalls
 as an exclude list instead

---
 src/tools/perlcheck/perlcriticrc | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/src/tools/perlcheck/perlcriticrc b/src/tools/perlcheck/perlcriticrc
index 57c1fd45708..bcef884df37 100644
--- a/src/tools/perlcheck/perlcriticrc
+++ b/src/tools/perlcheck/perlcriticrc
@@ -32,4 +32,5 @@ severity = 5
 
 [InputOutput::RequireCheckedSyscalls]
 severity = 5
-functions = chmod flock open read rename seek symlink system
+functions = :builtins
+exclude_functions = binmode chdir close closedir kill mkdir print rmdir setsockopt sleep truncate umask unlink waitpid
-- 
2.43.2

